* {
    box-sizing: border-box;
}
/* You can either copy the below and paste it between style tags on your HTML page, OR you can copy this to a file and name it .css and link it from your HTML page. */
:root {
    --header-bg: #f1f1f1;
    --nav-bg: #f9f5f0;
    --article-bg: #f9f5f0;
    --border-color: #967e76;
    --sidebar-text-color: #25161b;
    --article-text-color: #25161b;
    --article-heading-color: #4f0e0e;
    --nav-link-color: #f9f5f0;
    --darker-border-color: #967e76;
}

html,
body {
    padding: 0;
    margin: 0 auto;
}
html {
    scroll-behavior: smooth;
}
body {
    font-size: 14px;
    font-family: "Times New Roman", serif;
    width: 100%;
    max-width: 100%;
    background-color: var(--article-bg);
    background-image: url("/img/default/SC_tiles01.png");
    background-repeat: repeat;
    background-size: 85px;
    overflow-x: hidden;
}
body a {
    color: var(--nav-link-color);
}

body,
a:link,
a:hover,
a:visited,
a:active {
    cursor: url("/img/default/lunar_cursor.png"), auto;
}

::selection {
	color: var(--nav-bg);
	background: var(--article-text-color);
}
-moz-::selection {
	color: var(--nav-bg);
	background: var(--article-text-color);
}

header,
nav {
    max-width: 100%;
    margin: 0 auto;
}
aside {
    width: 250px;
    margin-top: 30px;
/*    padding-left: 10px; */
    padding-left: 5px;
}
.flex {
    display: flex;
    max-width: 900px;
}

main {
    width: 100%;
    margin-left: 20px;
    margin-right: 20px;
    padding: 15px;
}
section {
    margin-bottom: 10px;
    color: var(--sidebar-text-color);
}
article {
    border: 1px solid var(--darker-border-color);
    margin-bottom: 15px;
    background-color: var(--article-bg);
    color: var(--article-text-color);
    padding: 10px;
}
.subtitle {
    font-size: 1.5rem;
    /*    border:1px solid var(--darker-border-color); */
    margin-left: 5px;
    color: var(--article-heading-color);
    background-color: var(--nav-bg);
}
.links {
    list-style-type: none;
    padding-left: 0;
}
.links li {
    background-color: var(--nav-bg);
    border: 1px solid var(--border-color);
    margin-bottom: 3px;
}
.links li a {
    text-decoration: none;
    color: inherit;
    margin-left: 5px;
    cursor: pointer;
}

/* TEXTS */
article .subtitle {
    /*    text-transform:uppercase; */
    font-size: 1.9rem;
    color: var(--article-heading-color);
    margin-top: 10px;
    margin-left: 5px;
    margin-right: 5px;
    margin-bottom: 10px;
    padding-left: 7px;
    border-left: 4px solid var(--article-heading-color);
}

h1,
h2,
h3,
h4 {
    color: var(--article-heading-color);
}
h3 {
    font-size: 1em;
}

hr {
    border: 1px dashed var(--darker-border-color);
}
.heart {
	border: 0;
	background-image: url(/img/default/heart_divider.png);
	height: 16px;
	width: 100%;
	max-width: 100%;
	display: block;
	background-repeat: no-repeat;
	background-position: center;
	background-size: contain;
	margin: 0;
}

/* IMAGE SETTING */
img,
picture,
video {
  max-width: 100%;
}

/* SECTION misc */
section li a:link,
.links-social li a:link {
    color: #a22d2d;
    cursor: pointer;
}
.links li a:hover {
    letter-spacing: 2.5px;
    opacity: 0.6;
    color: #a22d2d;
    transition-timing-function: ease;
    transition-duration: 1s;
}
.links li a:visited {
    opacity: 0.6;
    color: #672a4e;
}

.blurb {
    border: 1px solid var(--darker-border-color);
    background-color: var(--article-bg);
    margin-bottom: 5px;
    padding: 10px;
}
.index {
    border: 1px solid var(--darker-border-color);
    background-color: var(--article-bg);
    margin-bottom: 5px;
    padding: 5px;
}

/* LOG TABLES */
table, th, td {
    /* border: 1px solid rgba(134, 84, 57, 50%); */
    border: 0 solid transparent;
    margin: auto;
    padding: 2px;
    font-size: .8rem;
}
table {
    width: 100%;
}
td {
    border-bottom: 1px dashed #a22d2d;
    padding: 1.5px;
}
.date {
    text-align: center;
    font-weight: bold;
    color: var(--article-heading-color);
    margin: auto;
    border: 1px inset #a22d2d; 
    padding: .3em;
}
.data {
    text-align: left;
    border-left: 1.5px dashed #a22d2d;
    padding-left: 0.5em;
    color: var(--article-text-color);
}

/* LAST UPDATE */
.last-update {
    width: 100%;
    height: 4vh;
    margin-top: auto;
    margin-bottom: 10px;
    text-align: left;
    font-style: italic;
    vertical-align: auto;
    padding: 5px 14px;
    background-color: var(--nav-bg);
    border-bottom: 1px solid var(--darker-border-color);
    border-top: 1px solid var(--darker-border-color);
}
.last-update p {
    opacity: 0.5;
    color: var(--article-heading-color);
    display: inline;
    font-size: 2vh;
}

/* SCROLLBAR SECTION div */
.logs {
    overflow: auto;
    min-width: auto;
    height: 300px;
    overflow-x: hidden;
    overflow-y: scroll;
    background-color: rgba(134, 84, 57, 15%);
    padding: 0 4px;
}

/* FOOTER */
footer {
    padding: 3px;
    text-align: center;
    font-size: 1.5vh;
    color: var(--nav-bg);
    background-color: #4f0e0e;
}
footer a, footer a:link {
    color: var(--navbar-link-color);
    text-decoration: none;
    cursor: pointer;
}
footer #footer-icon {
    font-size: 1.2vh;
    display: inline-block;
    vertical-align: middle;
    padding-bottom: 2px;
    margin: auto;
}

/* CUSTOM SCROLLBAR */
/* width */
.logs::-webkit-scrollbar {
    width: 5px;
}

/* Track */
.logs::-webkit-scrollbar-track {
/*    background: var(--article-bg); */
    background: var(--darker-border-color);
    border-left: 2px solid var(--nav-bg);
    border-right: 2px solid var(--nav-bg);
    background-clip: content-box;
}

/* Handle */
.logs::-webkit-scrollbar-thumb {
    width: 3px;
    height: 3px;
    background: #a22d2d;
    border: 1px solid #a22d2d;
}

/* Handle on hover */
.logs::-webkit-scrollbar-thumb:hover {
    background: var(--article-heading-color);
}

/* SCROLL TO TOP */
#scrollUp a {
    display: float;
    position: fixed;
    bottom: 52px;
    right: 6.6px;
    z-index: 99;
    font-size: 20.5px;
    border: 1px solid #672a4e;
    outline: none;
    background-color: var(--nav-bg);
    color: #a22d2d;
    cursor: url("/img/default/lunar_cursor.png"), pointer;
    padding: 10px;
    margin: 0 12px;
}

#scrollUp:hover a {
    background-color: #a22d2d;
    opacity: 0.7;
    color: var(--nav-bg);
    border: transparent;
}

#scrollUp a {
    text-decoration: none;
}

@media only screen and (width <= 450px) {
    .flex {
        display: flex;
        flex-wrap: wrap;
        overflow-x: hidden;
        align-content: center;
        justify-content: center;
    }
    aside {
        display: column;
        flex-wrap: wrap;
        margin-left: 35px;
        margin-right: 35px;
        margin-top: -10px;
        margin-bottom: 15px;
    }
    .logs {
        width: 100%;
        height: 150px;
    }
}